package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type HonoteBatchValidateRequest struct {
	// <ext>core:true</ext> 【本地文件】本地文件 【作用】 需验证隐形水印的本地文档或图片 【传参】 支持的文件类型：pdf, png, gif, jpg, jpeg, tiff。
	Files *os.File `json:"files"`
	// <ext>core:true</ext> 【文件唯一标识】文件唯一标识 【作用】 可传入文档在业务系统中的唯一标识，例如文件名称、文件编号等，将会在回调结果中进行返回，方便区分每份文件的验证结果 【传参】 上传多个文档时，按文档顺序传入多个文件唯一标识，多个标识用“,”隔开。
	DocThirdIds string `json:"docThirdIds,omitempty"`
	// <ext>core:true</ext> 【水印验证结果回调地址】水印验证结果回调地址 【作用】 1、批量验证隐形水印完成后，将文件每页是否添加隐形水印的结果按传入的地址进行回调 2、回调结果为json格式，包括文档名称、文档类型、第三方业务系统文档编号、页码、是否添加隐形水印（true(添加)，false(未添加)）
	CallbackUrl string `json:"callbackUrl,omitempty"`
}

func (obj HonoteBatchValidateRequest) GetUrl() string {
	return "/honote/batch/validate"
}

func (obj HonoteBatchValidateRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("docThirdIds", obj.DocThirdIds)
	parameter.AddParam("callbackUrl", obj.CallbackUrl)
	parameter.AddFiles("files", obj.Files)
	return parameter
}
